/*
 * Copyright (c 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License;
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_FAVORITE_DEFINE_H__
#define __AIR_FAVORITE_DEFINE_H__

/* View ID */
#define VIEW_ID_BASE "VIEW_ID_BASE"

/* Group */
#define GRP_VIEW_BASE "grp.view.base"
#define GRP_APP_THUMB_BG "grp.app.thumb.bg"

/* Part for edc file */
#define PART_TOP_TITLE "part.top.title"
#define PART_TOP_MENU "part.top.menu"
#define PART_GENGRID "part.gengrid"
#define PART_NO_CONTENTS "part.no.contents"
#define PART_CONTENTS_COUNT "part.contents.count"
#define PART_CONTENTS_SUBCOUNT "part.contents.subcount"
#define PART_COUNT_DIVIDE_LINE "part.count.divide.line"
#define PART_THUMB_BG "part.thumb.bg"
#define PART_THUMB_ICON "part.thumb.icon"
#define PART_THUMB_TEXT "part.thumb.text"
#define PART_THUMB_SUBTEXT1 "part.thumb.subtext1"
#define PART_THUMB_SUBTEXT2 "part.thumb.subtext2"
#define PART_THUMB_ICON_BG "part.thumb.icon.bg"
#define PART_THUMB_TEXT_BG "part.thumb.text.bg"
#define PART_THUMB_PLAY_ICON "part.thumb.play.icon"
#define PART_THUMB_DEFAULT_TV_ICON "part.thumb.default.tv.icon"

/* Style */
#define STYLE_MENU_BTN "style.menu.button"

/* Signal */
#define SIG_FOCUSED "focused"
#define SIG_UNFOCUSED "unfocused"
#define SIG_SELECTED "selected"
#define SIG_UNSELECTED "unselected"
#define SIG_ITEM_SELECTED "item.selected"
#define SIG_VISIBLE "visible"
#define SIG_INVISIBLE "invisible"

/* Source */
#define SRC_EDC "edc"
#define SRC_MENU_BTN "menubtn"

/* Transition */
#define TRANSITION_FOCUS DECELERATE 0.20
#define TRANSITION_CLICK DECELERATE 0

/* Text */
#define STR_FAVORITE "Favorite"
#define STR_NULL "(NULL)"
#define STR_NO_CONTENTS "No Contents"
#define STR_CNT_TV "channels"
#define STR_CNT_MOVIE "movies"
#define STR_CNT_GALLERY "files"
#define STR_CNT_GALLERY_PHOTO "photos"
#define STR_CNT_GALLERY_VIDEO "videos"
#define STR_CNT_MUSIC "songs"
#define STR_CNT_APPS "apps"
#define STR_CNT_WEBS "bookmark"
#define STR_MEDIAHUB_APP_ID "org.tizen.mediahub"
#define STR_LIVETV_APP_ID "org.tizen.live-tv"
#define STR_KEY_MEDIA_ID "media_id"
#define STR_KEY_SENDER_ID "sender_id"
#define STR_KEY_SERVICE_ID "service_id"
#define STR_BROWSER "Web Browser"
#define STR_BROWSER_ID "org.tizen.browser"

/* Font */
#define FONT_TIZENSANS_REGULAR "TizenSans"
#define FONT_TIZENSANS_LIGHT "TizenSans:style=Light"

/* Color */
#define COLOR_TEXT_BG 113 128 147 255
#define COLOR_ITEM_FOCUS 0 119 246 255
#define COLOR_ITEM_FOCUS_0 0 119 246 0

/* Size */
#define SIZE_BOX_PAD_H (40 + 40)
#define SIZE_BOX_PAD_V 0
#define SIZE_STR 1024
#define SIZE_APP_ICON_MAX 100

/* Count */
#define COUNT_MENU 6

/* Image */
#define PLAY_ICON_PNG "ic_thumbnail_play.png"
#define DEFAULT_IMAGE_PNG IMGDIR"/ic_thumbnail_picture.png"
#define DEFAULT_APP_ICON_PNG IMGDIR"/ic_default_app.png"
#define DEFAULT_TV_PNG IMGDIR"/ic_default_tv.png"
#define BROWSER_ICON_PNG IMGDIR"/ic_apps_web.png"

/* Path */
#define PATH_PLAY_ICON_PNG IMGDIR"/ic_thumbnail_play.png"

#endif /* __AIR_FAVORITE_DEFINE_H__ */
